Subject: Re: bug#46406: 28.0.50; [PATCH] Use frame monitor in frame_float

From: Andrii Kolomoiets <[email-masked]>
Date: Fri, 19 Feb 2021 12:07:32 +0200

Andrii Kolomoiets <[email-masked]> writes:

> Christian Tietze <[email-masked]> writes:
>
>> Hi Andrii,
>
> Hi Christian
>
>> Your Emacs patch for (non)retina screens and frame sizes introduced a
>> very weird bug where on the non-retina screen, the contents of the
>> frame are drawn in 1/4th the available drawing space. It looks fine on
>> the retina screen, though.
>>
>> See screenshots:
>> https://github.com/daviderestivo/homebrew-emacs-head/issues/92
>>
>> I cannot offer a fix suggestion for this, because I don't know the
>> emacs source well. Maybe you know something from the top of your head?
>
> I'll take a look.

With the commit 0e2b123a4ef600f5b337972a7bb61c1fc4b7d0cd I have no
issue moving frame to the non-retina screen.  The issue appears for me
with the commit 68bd6f3ea9c05637501139c46f1f4304482db95f.

I suspect your issue were introduced in Bug#46155